/*
 * Created on 2003. 4. 13.
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package kr.jikiry.xmlSig;

import java.lang.reflect.Constructor;

import org.w3c.dom.Document;

import kr.jikiry.util.logging.LoggerFactory;

/**
 * @author calmglow
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class XMLSignatureFactory {

	/**
	 * @return
	 */
	public static XMLSignature newInstance() throws XMLSignatureException {
		String sigExcuterClassName = null;
		XMLSignature xmlSig = null;
		sigExcuterClassName = System.getProperty("xmlSig.class");
		if(sigExcuterClassName ==null){
			sigExcuterClassName = "kr.jikiry.xmlSig.VerisignSignature";
		}
		xmlSig = makeSignatureImplObject(sigExcuterClassName);
		
		return xmlSig;
	}

	/**
	 * @param sigExcuterClassName
	 * @return
	 */
	private static XMLSignature makeSignatureImplObject(String sigExcuterClassName) 
	 throws XMLSignatureException{
		Object object= null;
		try{
			Class cls = Class.forName(sigExcuterClassName);
			object = cls.newInstance();
		}catch(Exception e){
			LoggerFactory.getLogger().error(e);
			throw new XMLSignatureException("Failure to create the signature implement class");
		}
		if (object ==null ){
			LoggerFactory.getLogger().error("Could not found valid SignatureImplement Class");
			throw new XMLSignatureException("Could not found valid SignatureImplement Class");
		}
		return (XMLSignature)object;
	}

}
