/*
 * Created on 2003. 4. 2.
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package test.keymgmt;

import java.security.KeyStore;
import java.security.KeyStoreException;
import junit.framework.TestCase;
import kr.jikiry.*;
import kr.jikiry.keymgmt.*;
/**
 * @author calmglow
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class KeyStoreHandlerTest extends TestCase {

	KeyStoreHandler keyStoreHandler= null;
	
	public static final String keyStorePath =
		"C:/Documents and Settings/calmglow/.keystore";
	public static final String keyStorePwd = 
		"bbmspwd";
		
		
		
	/**
	 * Constructor for KeyStoreHandlerTest.
	 * @param arg0
	 */
	public KeyStoreHandlerTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		
		super.setUp();
		keyStoreHandler =new KeyStoreHandler();
	}

	public void testLoadKeyStore() throws Exception{
		assertNotNull(keyStoreHandler.loadKeyStore(KeyStore.getInstance("JKS"),
			keyStorePath, keyStorePwd));
		
	}
	
	public void testGetKeyInfoList() throws KeyStoreException{
		assertTrue(keyStoreHandler.getAliases().hasMoreElements());
	}
	
	public void testGetKey() throws kr.jikiry.keymgmt.KeyStoreException {
		
		assertNotNull(keyStoreHandler.getKey("bbms","bbmspwd"));
	}
	
	public void testGetCert() throws kr.jikiry.keymgmt.KeyStoreException {
		assertNotNull(keyStoreHandler.getCert("bbms"));
	}
	
}
